:root{

  /* colors */
  --clr-fav: none;
  /* --clr-accent-back: Wheat; */
  
  --clr-main: black;
  /* --clr-bold: #505050; */
  --clr-bold: rgba(0,0,0,0.15);
  
  --clr-border: lightgrey;
  --clr-back: whitesmoke;
  --clr-back-dark: #272727;
  --clr-dark-back: gainsboro;
  
  --clr-fade: DimGray;
  --clr-fade-back: rgba(0,0,0,0.1);

  --clr-link-ext: blue;
  --clr-link-int: Darkblue;
  --clr-link-local: Darkblue;
  /* --clr-link-local: hsl(80, 60%, 30%); */

  --clr-selection: LightSkyBlue;

  --clr-border-fun: pink yellowgreen LightSkyBlue yellow;

  /* strokes */
  --border-width: 1.5px;
  --border: var(--border-width) solid var(--clr-border);
  --underline-width: calc(var(--border-width) * 0.8);
  --underline: underline var(--underline-width);

  /* font-size */
  /* headers */
  --fs-h-plus: 1.3rem;
  --fs-h: 1.16rem;

  /* fs mono */
  --fs-inl-mono: 0.825rem;
  --fs-blk-mono: 0.7rem;
  
  /* leading as a variable, it is the size of a paragraph line */
  --lh-m: 1.6rem;
  --fs-m: 1rem;
  --lh-s: 1.3rem;
  --fs-s: calc(1rem / 1.125);
  /* this one is back to the 16px,
  but we keep the upscale rem unit for lh and such*/
}

/* BASICS
  ========================================================================== */

body{
  color: var(--clr-main);
  margin: 0;
}

hr {
  border: none;
  border-top: var(--border);
}

*::selection{
  background: var(--clr-selection);
  color: black;
}

strong{
  background-color: var(--clr-bold);
  /* color: white; */
  font-weight: normal;
}

.date{
  font-style: italic;
  color: var(--clr-fade);
}

.tags{
  color: var(--clr-fade);
}

img{
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

a{
  text-decoration: none;
  color: currentColor;
}
a:hover{
  /* text-decoration: underline; */
  color: white;
}

a.external{
  /* color: var(--clr-link-ext); */
  background-color: olive;
}
a.internal{
  /* color: var(--clr-link-int); */
  background-color: sienna;
}
a.local{
  /* color: var(--clr-link-local); */
  background-color: darkgoldenrod;
}


/* a.external::after{
  content: "\00a0↗";
} */
/* a.local::after{
  content: "\00a0↓";
} */

/* PAD
  ========================================================================== */

.pad{
  /* we can align vertically .text-long, and default body text
  because their side padding is standardized to the smaller lh */
  padding: var(--lh) var(--lh);
}

.pad-big{
  padding: var(--lh) calc(var(--lh) * 2);
}

@media (max-width: 42rem) {
  .pad-big{
    /* pad-big become pad on small screen */
    padding: var(--lh);
  }
}

/* Modal Hover
  ========================================================================== */

.modal-hover {
  --transition: 250ms;
  width: min-content;
  position: relative;
  z-index: 0;
}

.modal-hover__summary {
  cursor: help;

  display: flex;
  align-items: center;
  justify-content: center;

  width: calc(var(--lh) * 2);
  height: calc(var(--lh) * 2);

  background: white;
  border-radius: 50%;

}
.modal-hover__summary > h2{
  font-family: monospace;
  font-size: var(--fs-h-plus) !important;
}

.modal-hover__summary>* {
  margin: 0;
}

.modal-hover__content {
  cursor: default;

  width: 20rem;

  position: absolute;
  bottom: 100%;
  left: 100%;
  z-index: -1;

  background: white;
  border: var(--border);
  border-radius: var(--lh);
  padding: var(--lh);

  /* we need a transition so there is time to move the cursor
  from outside the summary to the content whithout closing the content.
  this allow to be able to select, or click on the modal contant, whithout js
  or the summary and content touching */
  /* but we also need to really remove it from the document flow when it's hidden
  for this we use visibility: hidden with transition delay */
  visibility: hidden;
  opacity: 0;
  transition:
    opacity var(--transition) 0.5s,
    visibility 0s calc(var(--transition) + 0.5s);
}
.modal-hover__content code::before{
  background: #f0f0f0;
}

.modal-hover:hover .modal-hover__content {
  visibility: visible;
  opacity: 1;
  transition:
    visibility 0s,
    opacity var(--transition);
}